Delete Silence
Delete an existing silence rule using its silence ID.
Endpoint
DELETE /api/monitors/silences/{silenceID}
Authentication
This endpoint requires API Key authentication via the Authorization header.
Headers
Header
Required
Description
Authorization
Yes
Bearer token with your API key
X-Backend-Id
Only for multi-backend accounts
Your Backend ID, to route the request to the correct backend
Path Parameters
Parameter
Type
Required
Description
silenceID
string
Yes
The UUID of the silence to delete
Example Request
curl -sS -X DELETE 'https://api.groundcover.com/api/monitors/silences/<SILENCE_ID>' \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'X-Backend-Id: <YOUR_BACKEND_ID>'Response
Success Response
Status Code: 200 OK
Notes
Once a silence is deleted, suppressed monitors will resume normal notification behavior.
The
silenceIDis returned when you create a silence.This endpoint deletes one-time silences. To delete a recurring silence, see Recurring Silences API.
Last updated
